Bug 172590 - CVE-2005-3353 PHP exif data DoS
CVE-2005-3353 PHP exif data DoS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=moderate,public=20051002,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-07 12:48 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-25 07:49:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-11-07 12:48:49 EST
PHP exif data DoS

An error in the way php processes exif image data has been found.
This flaw will cause PHP to enter an infinite loop when
exif_read_data() against the malicious image.  The PHP process will
continue to consume computing resources until the PHP process is
killed.
http://bugs.php.net/bug.php?id=34704

When run through httpd, the PHP process will eventually timeout and be
killed.  This is only a temporary DoS when PHP is run from httpd..


This issue also affects FC3
Comment 1 Joe Orton 2005-11-25 07:49:24 EST
Fixed in FEDORA-2005-1062/FEDORA-2005-1061.

Note You need to log in before you can comment on or make changes to this bug.